Project Chrono: chrono::particlefactory::ChParticleEventTriggerBox Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
chrono::particlefactory::ChParticleEventTriggerBox Class Reference

## Description

Event trigger for particles inside a box volume.

The event is triggered every time that the particle processor is run, not only the 1st time that particle enters the volume. Only the center of gravity of particle is taken into consideration, regardless of its size.

`#include <ChParticleEventTrigger.h>`

Inheritance diagram for chrono::particlefactory::ChParticleEventTriggerBox:
[legend]
Collaboration diagram for chrono::particlefactory::ChParticleEventTriggerBox:
[legend]

## Public Member Functions
virtual bool | TriggerEvent (std::shared_ptr< ChBody > mbody, ChSystem &msystem)
| This function triggers the a particle event according to the fact the the particle is inside a box.
void | SetTriggerOutside (bool minvert)
Public Member Functions inherited from chrono::particlefactory::ChParticleEventTrigger
virtual void | SetupPreProcess (ChSystem &msystem)
| Children classes might optionally implement this.
virtual void | SetupPostProcess (ChSystem &msystem)
| Children classes might optionally implement this.

## Public Attributes
ChBox | m_box
| box volume
ChFrame | m_frame
| box position and orientation

## Protected Attributes
bool | invert_volume

## Member Function Documentation

## ◆ TriggerEvent()

virtual bool chrono::particlefactory::ChParticleEventTriggerBox::TriggerEvent | ( | std::shared_ptr< ChBody > | mbody,
|  | ChSystem & | msystem )
| inlinevirtual

This function triggers the a particle event according to the fact the the particle is inside a box.

If SetTriggerOutside(true), viceversa triggers event outside the box.

Implements chrono::particlefactory::ChParticleEventTrigger.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/particlefactory/ChParticleEventTrigger.h